Skip to main content
GET
Get Reservation

Authorizations

Authorization
string
header
required

Bearer authentication using your Fireworks API key. Format: Bearer <API_KEY>

Path Parameters

account_id
string
required

The Account Id

reservation_id
string
required

The Reservation Id

Query Parameters

readMask
string

The fields to be returned in the response. If empty or "*", all fields will be returned.

Response

200 - application/json

A successful response.

acceleratorType
enum<string>
default:ACCELERATOR_TYPE_UNSPECIFIED
required

The type of accelerator for this reservation.

Available options:
ACCELERATOR_TYPE_UNSPECIFIED,
NVIDIA_A100_80GB,
NVIDIA_H100_80GB,
AMD_MI300X_192GB,
NVIDIA_A10G_24GB,
NVIDIA_A100_40GB,
NVIDIA_L4_24GB,
NVIDIA_H200_141GB,
NVIDIA_B200_180GB,
AMD_MI325X_256GB,
AMD_MI350X_288GB,
NVIDIA_B300_288GB,
NVIDIA_GB200,
NVIDIA_GB300
reservedCount
integer<int32>
required

The number of accelerators reserved.

name
string
read-only

The resource name of the reservation, e.g. "accounts/my-account/reservations/abcdef".

displayName
string

Human-readable display name of the reservation. e.g. "My Reservation" Must be fewer than 64 characters long.

description
string

Description of the reservation.

createTime
string<date-time>
read-only

The creation time of the reservation.

createdBy
string
read-only

The email address of the user who created this reservation.

region
enum<string>
default:REGION_UNSPECIFIED

The region for this reservation.

Available options:
REGION_UNSPECIFIED,
US_IOWA_1,
US_VIRGINIA_1,
US_VIRGINIA_2,
US_ILLINOIS_1,
AP_TOKYO_1,
US_ARIZONA_1,
US_TEXAS_1,
US_ILLINOIS_2,
EU_FRANKFURT_1,
US_TEXAS_2,
EU_ICELAND_1,
EU_ICELAND_2,
US_WASHINGTON_1,
US_WASHINGTON_2,
US_WASHINGTON_3,
AP_TOKYO_2,
US_CALIFORNIA_1,
US_UTAH_1,
US_ARIZONA_3,
US_GEORGIA_1,
US_GEORGIA_2,
US_WASHINGTON_4,
US_GEORGIA_3,
NA_BRITISHCOLUMBIA_1,
US_GEORGIA_4,
US_OHIO_1,
US_NEWYORK_1,
EU_NETHERLANDS_1,
US_WASHINGTON_5,
US_MINNESOTA_1,
US_CALIFORNIA_2,
NA_BRITISHCOLUMBIA_2,
AP_MALAYSIA_2,
US_OREGON_1,
NA_BRITISHCOLUMBIA_3,
AP_NEWSOUTHWALES_1,
AP_TAIWAN_1
multiRegion
enum<string>
default:MULTI_REGION_UNSPECIFIED

The multi-region for this reservation.

Available options:
MULTI_REGION_UNSPECIFIED,
GLOBAL,
US,
CANADA,
EUROPE,
APAC
startTime
string<date-time>

The timestamp at which the reservation starts (inclusive).

endTime
string<date-time>

The timestamp at which the reservation ends (exclusive).

updateTime
string<date-time>
read-only

The update time for the reservation.

state
enum<string>
default:STATE_UNSPECIFIED
read-only

The lifecycle state of the reservation.

  • ACTIVE: The reservation's capacity is available.
  • EXPIRED: The reservation has ended.
  • DELETING: The reservation is being deleted.
  • DELETED: The reservation has been deleted.
  • UPDATING: The reservation's capacity is being provisioned or updated.
Available options:
STATE_UNSPECIFIED,
ACTIVE,
EXPIRED,
DELETING,
DELETED,
UPDATING
targetedConsumption
boolean

Reserved for future use. Currently has no effect.